Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Anthony G. Basile" <blueness@g.o>
Subject: dev/blueness:master commit in: net-libs/axtls/files/, net-libs/axtls/
Date: Sat, 26 May 2012 04:46:02 +0000 (UTC)
commit:     13305adf0fa6124d2e33ff12e7dba39dbf81a3ad
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Sat May 26 04:45:55 2012 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Sat May 26 04:45:55 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/blueness.git;a=commit;h=13305adf

net-libs/axtls: staging namechange and version bump

---
 net-libs/axtls/Manifest            |    6 ++
 net-libs/axtls/axtls-1.4.6.ebuild  |  171 ++++++++++++++++++++++++++++++++++++
 net-libs/axtls/files/axhttpd.confd |    7 ++
 net-libs/axtls/files/axhttpd.initd |   26 ++++++
 net-libs/axtls/files/config        |  126 ++++++++++++++++++++++++++
 net-libs/axtls/metadata.xml        |   14 +++
 6 files changed, 350 insertions(+), 0 deletions(-)

diff --git a/net-libs/axtls/Manifest b/net-libs/axtls/Manifest
new file mode 100644
index 0000000..e6478c6
--- /dev/null
+++ b/net-libs/axtls/Manifest
@@ -0,0 +1,6 @@
+AUX axhttpd.confd 181 RMD160 489c7d0ff59a419061bcc246e1ca1ced1cfe2831 SHA1 4378b0ec8b8634af29a62c49603ec5ccc14da693 SHA256 5eff31a8656c735ec9b85eac8d0a92c497132d5337fd5dff6f9e311e6b223a65
+AUX axhttpd.initd 625 RMD160 5652cbc39e31f8ecfadd57f53631043ff0ea0ea5 SHA1 59b8ed9a54c933d95586fab83828f7e8b039143d SHA256 a312d046020c45d9352e6bf736c86335a0ba2c7f4745186cd047e0149d63e33c
+AUX config 3064 RMD160 5087b627e11d34a81c8696022d2380faa244b8e2 SHA1 095708bd3c5fc4e3183e9f9857139d0e211d42a6 SHA256 e85c8bd84f34045b52cefc7e3df94373f87cab22d495efe7ca737b1e6cfaa7ed
+DIST axTLS-1.4.6.tar.gz 1299349 RMD160 291c7c0e43bc278a712bcad557187417f4813d31 SHA1 611a6a549b2842cd5e78e3ced4556264f17aef43 SHA256 43ad99c1cb205bc0275637fd14094a2034e168cdd6f18f377e007abdbb233619
+EBUILD axtls-1.4.6.ebuild 4320 RMD160 e7eedabf9e34242791da34988a154616272a05e0 SHA1 8d388c01fb42133199a99f669a7c946dad5b130d SHA256 ae8ff4ae5ec0d365fa1acc8719f6d8cdae2f79aeed8222d7cbf3984fcfbbed45
+MISC metadata.xml 539 RMD160 66d2200563130d8af1e6b9ea42aac0098cca0ece SHA1 977793dc0d626b3c9144cdac6e85ec137efd3e72 SHA256 678ce846bdfbf9df350ed0ba25520abe1588a12c229cbc54642269cf2fbe0966

diff --git a/net-libs/axtls/axtls-1.4.6.ebuild b/net-libs/axtls/axtls-1.4.6.ebuild
new file mode 100644
index 0000000..d6f24aa
--- /dev/null
+++ b/net-libs/axtls/axtls-1.4.6.ebuild
@@ -0,0 +1,171 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-libs/axtls/axtls-1.4.5.ebuild,v 1.4 2012/04/07 21:47:08 blueness Exp $
+
+EAPI="4"
+
+inherit savedconfig toolchain-funcs user
+
+################################################################################
+# axtls CONFIG MINI-HOWTO
+#
+# Note: axtls is highly configurable and uses mconf, like the linux kernel.
+# You can configure it in a couple of ways:
+#
+# 1) USE="-savedconfig" and set/unset the remaining flags to obtain the features
+# you want, and possibly a lot more.
+#
+# 2) You can create your own configuration file by doing
+#
+#	FEATURES="keepwork" USE="savedconfig -*" emerge axtls
+#	cd /var/tmp/portage/net-libs/axtls*/work/axTLS
+#	make menuconfig
+#
+# Now configure axtls as you want.  Finally save your config file:
+#
+#	cp config/.config /etc/portage/savedconfig/net-libs/axtls-${PV}
+#
+# where ${PV} is the current version.  You can then run emerge again with
+# your configuration by doing
+#
+#	USE="savedconfig" emerge axtls
+#
+################################################################################
+
+MY_PN=${PN/tls/TLS}
+
+DESCRIPTION="Embedded client/server TLSv1 SSL library and small HTTP(S) server"
+HOMEPAGE="http://axtls.sourceforge.net/"
+SRC_URI="mirror://sourceforge/axtls/${MY_PN}-${PV}.tar.gz"
+S="${WORKDIR}/${MY_PN}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="httpd cgi-lua cgi-php static doc"
+
+# TODO: add ipv6, and c#, java, lua, perl bindings
+# Currently these all have some issue
+DEPEND="doc? ( app-doc/doxygen )"
+RDEPEND="
+	httpd? (
+		cgi-lua? ( dev-lang/lua )
+		cgi-php? ( dev-lang/php[cgi] )
+	)"
+
+#Note1: static, cgi-* makes no sense if httpd is not given
+REQUIRED_USE="
+	static? ( httpd )
+	cgi-lua? ( httpd )
+	cgi-php? ( httpd )"
+
+AXTLS_GROUP="axtls"
+AXTLS_USER="axtls"
+
+pkg_setup() {
+	use httpd && {
+		ebegin "Creating axtls user and group"
+		enewgroup ${AXTLS_GROUP}
+		enewuser ${AXTLS_USER} -1 -1 -1 ${AXTLS_GROUP}
+	}
+}
+
+src_prepare() {
+	tc-export CC
+
+	#Use CC as the host compiler for mconf
+	sed -i -e "s:^HOSTCC.*:HOSTCC=${CC}:" \
+		"${S}"/config/Rules.mak
+
+	#We want CONFIG_DEBUG to avoid stripping
+	#but not for debugging info
+	sed -i -e 's: -g::' \
+		"${S}"/config/Rules.mak
+	sed -i -e 's: -g::' \
+		"${S}"/config/makefile.conf
+}
+
+use_flag_config() {
+	cp "${FILESDIR}"/config "${S}"/config/.config
+
+	#Respect CFLAGS/LDFLAGS
+	sed -i -e "s:^CONFIG_EXTRA_CFLAGS_OPTIONS.*$:CONFIG_EXTRA_CFLAGS_OPTIONS=\"${CFLAGS}\":" \
+		"${S}"/config/.config
+	sed -i -e "s:^CONFIG_EXTRA_LDFLAGS_OPTIONS.*$:CONFIG_EXTRA_LDFLAGS_OPTIONS=\"${LDLAGS}\":" \
+		"${S}"/config/.config
+
+	#The logic is that the default config file enables everything and we disable
+	#here with sed unless a USE flags says to keep it
+	if use httpd; then
+		if ! use static; then
+			sed -i -e 's:^CONFIG_HTTP_STATIC_BUILD:# CONFIG_HTTP_STATIC_BUILD:' \
+				"${S}"/config/.config
+		fi
+		if ! use cgi-php && ! use cgi-lua; then
+			sed -i -e 's:^CONFIG_HTTP_HAS_CGI:# CONFIG_HTTP_HAS_CGI:' \
+				"${S}"/config/.config
+		fi
+		if ! use cgi-php; then
+			sed -i -e 's:,.php::' "${S}"/config/.config
+		fi
+		if ! use cgi-lua; then
+			sed -i -e 's:\.lua,::' \
+				-e 's:lua:php:' \
+				-e 's:^CONFIG_HTTP_ENABLE_LUA:# CONFIG_HTTP_ENABLE_LUA:' \
+				"${S}"/config/.config
+		fi
+	else
+		sed -i -e 's:^CONFIG_AXHTTPD:# CONFIG_AXHTTPD:' \
+			"${S}"/config/.config
+	fi
+
+	yes "n" | emake -j1 oldconfig > /dev/null
+}
+
+src_configure() {
+	tc-export CC
+
+	if use savedconfig; then
+		restore_config config/.config
+		if [ -f config/.config ]; then
+			ewarn "Using saved config, all other USE flags ignored"
+		else
+			ewarn "No saved config, seeding with the default"
+			cp "${FILESDIR}"/config "${S}"/config/.config
+		fi
+		yes "" | emake -j1 oldconfig > /dev/null
+	else
+		use_flag_config
+	fi
+}
+
+src_compile() {
+	default
+	if use doc; then
+		emake docs
+		mv www README
+	fi
+}
+
+src_install() {
+	if use savedconfig; then
+		save_config config/.config
+	fi
+
+	emake PREFIX="${ED}/usr" install
+	if [ -f "${ED}"/usr/bin/htpasswd ]; then
+		mv "${ED}"/usr/bin/{,ax}htpasswd
+	fi
+
+	if use httpd; then
+		newinitd "${FILESDIR}"/axhttpd.initd axhttpd
+		newconfd "${FILESDIR}"/axhttpd.confd axhttpd
+	fi
+
+	docompress -x /usr/share/doc/${PF}/README
+	dodoc -r README
+
+	if use doc; then
+		dodoc -r docsrc/html
+	fi
+}

diff --git a/net-libs/axtls/files/axhttpd.confd b/net-libs/axtls/files/axhttpd.confd
new file mode 100644
index 0000000..02f1292
--- /dev/null
+++ b/net-libs/axtls/files/axhttpd.confd
@@ -0,0 +1,7 @@
+#Zero or more of the following may be given:
+#
+#    -p [address:]httpport
+#    -s [address:]httpsport
+#    -w webroot
+#
+#AXHTTPD_OPTS="-w /var/www/localhost/htdocs -p 8080 -s 4343"

diff --git a/net-libs/axtls/files/axhttpd.initd b/net-libs/axtls/files/axhttpd.initd
new file mode 100644
index 0000000..e5beb23
--- /dev/null
+++ b/net-libs/axtls/files/axhttpd.initd
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-libs/axTLS/files/axhttpd.initd,v 1.1 2012/04/06 17:39:39 blueness Exp $
+
+AXHTTPD_USER="axtls"
+AXHTTPD_GROUP="axtls"
+AXHTTPD_DAEMON="/usr/bin/axhttpd"
+
+depend() {
+	need net
+}
+
+start() {
+	ebegin "Starting axhttpd"
+	start-stop-daemon --quiet --start "${AXHTTPD_DAEMON}" \
+		--user "${AXHTTPD_USER}":"${AXHTTPD_GROUP}" \
+		-- ${AXHTTPD_OPTS}
+	eend $?
+}
+
+stop() {
+	ebegin "Stopping axhttpd"
+	start-stop-daemon --quiet --stop "${AXHTTPD_DAEMON}"
+	eend $?
+}

diff --git a/net-libs/axtls/files/config b/net-libs/axtls/files/config
new file mode 100644
index 0000000..6eb608d
--- /dev/null
+++ b/net-libs/axtls/files/config
@@ -0,0 +1,126 @@
+#
+# Automatically generated make config: don't edit
+#
+HAVE_DOT_CONFIG=y
+CONFIG_PLATFORM_LINUX=y
+# CONFIG_PLATFORM_CYGWIN is not set
+# CONFIG_PLATFORM_WIN32 is not set
+
+#
+# General Configuration
+#
+PREFIX="/usr"
+CONFIG_DEBUG=y
+# CONFIG_STRIP_UNWANTED_SECTIONS is not set
+# CONFIG_VISUAL_STUDIO_7_0 is not set
+# CONFIG_VISUAL_STUDIO_8_0 is not set
+# CONFIG_VISUAL_STUDIO_10_0 is not set
+CONFIG_VISUAL_STUDIO_7_0_BASE=""
+CONFIG_VISUAL_STUDIO_8_0_BASE=""
+CONFIG_VISUAL_STUDIO_10_0_BASE=""
+CONFIG_EXTRA_CFLAGS_OPTIONS=""
+CONFIG_EXTRA_LDFLAGS_OPTIONS=""
+
+#
+# SSL Library
+#
+# CONFIG_SSL_SERVER_ONLY is not set
+# CONFIG_SSL_CERT_VERIFICATION is not set
+# CONFIG_SSL_ENABLE_CLIENT is not set
+CONFIG_SSL_FULL_MODE=y
+# CONFIG_SSL_SKELETON_MODE is not set
+# CONFIG_SSL_PROT_LOW is not set
+# CONFIG_SSL_PROT_MEDIUM is not set
+CONFIG_SSL_PROT_HIGH=y
+CONFIG_SSL_USE_DEFAULT_KEY=y
+CONFIG_SSL_PRIVATE_KEY_LOCATION=""
+CONFIG_SSL_PRIVATE_KEY_PASSWORD=""
+CONFIG_SSL_X509_CERT_LOCATION=""
+# CONFIG_SSL_GENERATE_X509_CERT is not set
+CONFIG_SSL_X509_COMMON_NAME=""
+CONFIG_SSL_X509_ORGANIZATION_NAME=""
+CONFIG_SSL_X509_ORGANIZATION_UNIT_NAME=""
+CONFIG_SSL_ENABLE_V23_HANDSHAKE=y
+CONFIG_SSL_HAS_PEM=y
+CONFIG_SSL_USE_PKCS12=y
+CONFIG_SSL_EXPIRY_TIME=24
+CONFIG_X509_MAX_CA_CERTS=300
+CONFIG_SSL_MAX_CERTS=6
+# CONFIG_SSL_CTX_MUTEXING is not set
+CONFIG_USE_DEV_URANDOM=y
+# CONFIG_WIN32_USE_CRYPTO_LIB is not set
+CONFIG_OPENSSL_COMPATIBLE=y
+# CONFIG_PERFORMANCE_TESTING is not set
+CONFIG_SSL_TEST=y
+CONFIG_AXTLSWRAP=y
+CONFIG_AXHTTPD=y
+
+#
+# Axhttpd Configuration
+#
+CONFIG_HTTP_STATIC_BUILD=y
+CONFIG_HTTP_PORT=8080
+CONFIG_HTTP_HTTPS_PORT=4343
+CONFIG_HTTP_SESSION_CACHE_SIZE=5
+CONFIG_HTTP_WEBROOT="/var/www/localhost/htdocs"
+CONFIG_HTTP_TIMEOUT=300
+
+#
+# CGI
+#
+CONFIG_HTTP_HAS_CGI=y
+CONFIG_HTTP_CGI_EXTENSIONS=".lua,.php"
+CONFIG_HTTP_ENABLE_LUA=y
+CONFIG_HTTP_LUA_PREFIX="/usr"
+# CONFIG_HTTP_BUILD_LUA is not set
+CONFIG_HTTP_CGI_LAUNCHER="/usr/bin/lua"
+CONFIG_HTTP_DIRECTORIES=y
+CONFIG_HTTP_HAS_AUTHORIZATION=y
+# CONFIG_HTTP_HAS_IPV6 is not set
+CONFIG_HTTP_ENABLE_DIFFERENT_USER=y
+CONFIG_HTTP_USER="axtls"
+CONFIG_HTTP_VERBOSE=y
+CONFIG_HTTP_IS_DAEMON=y
+
+#
+# Language Bindings
+#
+# CONFIG_BINDINGS is not set
+# CONFIG_CSHARP_BINDINGS is not set
+# CONFIG_VBNET_BINDINGS is not set
+CONFIG_DOT_NET_FRAMEWORK_BASE=""
+# CONFIG_JAVA_BINDINGS is not set
+CONFIG_JAVA_HOME=""
+# CONFIG_PERL_BINDINGS is not set
+CONFIG_PERL_CORE=""
+CONFIG_PERL_LIB=""
+# CONFIG_LUA_BINDINGS is not set
+CONFIG_LUA_CORE=""
+
+#
+# Samples
+#
+CONFIG_SAMPLES=y
+CONFIG_C_SAMPLES=y
+# CONFIG_CSHARP_SAMPLES is not set
+# CONFIG_VBNET_SAMPLES is not set
+# CONFIG_JAVA_SAMPLES is not set
+# CONFIG_PERL_SAMPLES is not set
+# CONFIG_LUA_SAMPLES is not set
+
+#
+# BigInt Options
+#
+# CONFIG_BIGINT_CLASSICAL is not set
+# CONFIG_BIGINT_MONTGOMERY is not set
+CONFIG_BIGINT_BARRETT=y
+CONFIG_BIGINT_CRT=y
+CONFIG_BIGINT_KARATSUBA=y
+MUL_KARATSUBA_THRESH=20
+SQU_KARATSUBA_THRESH=40
+CONFIG_BIGINT_SLIDING_WINDOW=y
+CONFIG_BIGINT_SQUARE=y
+# CONFIG_BIGINT_CHECK_ON is not set
+CONFIG_INTEGER_32BIT=y
+# CONFIG_INTEGER_16BIT is not set
+# CONFIG_INTEGER_8BIT is not set

diff --git a/net-libs/axtls/metadata.xml b/net-libs/axtls/metadata.xml
new file mode 100644
index 0000000..dd75ddb
--- /dev/null
+++ b/net-libs/axtls/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer>
+    <email>blueness@g.o</email>
+    <name>Anthony G. Basile</name>
+  </maintainer>
+  <use>
+    <flag name="httpd">Enables axhttpd web server component</flag>
+    <flag name="static">Statically build axhttpd server</flag>
+    <flag name="cgi-lua">Enables lua backed cgi for axhttpd server</flag>
+    <flag name="cgi-php">Enables php backed cgi for axhttpd server</flag>
+  </use>
+</pkgmetadata>


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in dev-python/gdata: ChangeLog gdata-2.0.17.ebuild
Next by thread:
gentoo-x86 commit in net-libs/axtls: - New directory
Previous by date:
gentoo-x86 commit in dev-python/gdata: ChangeLog gdata-2.0.17.ebuild
Next by date:
gentoo-x86 commit in net-libs/axtls: - New directory


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.